Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7094 - XkbOptions "ctrl:swapcaps" broken
Summary: XkbOptions "ctrl:swapcaps" broken
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 03:13 UTC by dnelson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-06 05:34:06 UTC


Attachments (Terms of Use)

Description dnelson 1999-11-18 03:13:49 UTC
RedHat,

The latest XFree from RedHat (3.3.5) updated on 1999-09-16 no longer works
with regards to the "ctrl:swapcaps" option.  Essentially, it appears as if
the option is entirely ignored as `startx > startx.out 2>&1` does not even
show it being parsed/acknoleged.

Also, this option is not documented in the XF86Config man page but is
included in the XF86Config.eq (?) exaple file that is included with XFree.
Has it been dropped? If so, what is the recommended method to swap ctrl and
caps_lock keys?

BTW, this is using the SVGA server with a Riva TNT2 video card on a RH 6.0
i386 system.  All of the XFree rpm pgks were d/l and applied.

Regards,
	/\/elson

Comment 1 dnelson 1999-12-06 05:33:59 UTC
I downgraded all XFree RPM's to 3.3.3.1 (default versions from RH-6.0 CD) and
installed the XFree86-SVGA-3.3.5-1.6.0 in order to use the TNT RIVA2 card.  All
works as expected.


Note You need to log in before you can comment on or make changes to this bug.